diff options
author | Olivier Blin <oblin@mandriva.com> | 2007-07-05 13:55:45 +0000 |
---|---|---|
committer | Olivier Blin <oblin@mandriva.com> | 2007-07-05 13:55:45 +0000 |
commit | 5bf0ea82a312b21ed600c615f75953efcd203363 (patch) | |
tree | 1298634443c610b2c101537f6960cac89ebf5bd0 /rescue-Flash/scripts/reset_rootpass | |
parent | 3aa29a9d3a01072b942382aff369ee74c3b93a05 (diff) | |
download | drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar.gz drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar.bz2 drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar.xz drakx-5bf0ea82a312b21ed600c615f75953efcd203363.zip |
move rescue-Flash/scripts as rescue/Flash/scripts
Diffstat (limited to 'rescue-Flash/scripts/reset_rootpass')
-rwxr-xr-x | rescue-Flash/scripts/reset_rootpass | 100 |
1 files changed, 0 insertions, 100 deletions
diff --git a/rescue-Flash/scripts/reset_rootpass b/rescue-Flash/scripts/reset_rootpass deleted file mode 100755 index c0a505f21..000000000 --- a/rescue-Flash/scripts/reset_rootpass +++ /dev/null @@ -1,100 +0,0 @@ -#!/bin/bash - -# import functions library -source rescue_common - -tmpdir="/tmp/flash-rescue-root" -rootdir="$tmpdir/pen" - -function prepare() { - - modprobe unionfs > /dev/null 2>&1 - modprobe squashfs > /dev/null 2>&1 - modprobe loop > /dev/null 2>&1 - - mkdir -p $rootdir - mkdir -p $tmpdir/squash - mkdir -p $tmpdir/user - mkdir -p $tmpdir/union - - if ! mount_usbroot $rootdir; then - return 1 - fi - - mount -t squashfs -o loop $sfs_loop $tmpdir/squash > /dev/null 2>&1 - if [ $? -ne 0 ]; then - echo "Error mounting distrib.sqfs" - return 1 - fi - - mount -t ext2 -o loop $sys_loop $tmpdir/user > /dev/null 2>&1 - if [ $? -ne 0 ]; then - echo "Error mounting system.loop" - return 1 - fi - - mount -t unionfs -o dirs=$tmpdir/user=rw:$tmpdir/squash=ro \ - none $tmpdir/union - if [ $? -ne 0 ]; then - echo "Error creating union of distrib.sqfs and system.loop" - return 1 - fi - - chroot $tmpdir/union /etc/init.d/keytable start &> /dev/null - chroot $tmpdir/union /usr/bin/unicode_start - - return 0 -} - -function doit() { - - clear - echo - chroot $tmpdir/union passwd root - echo - echo - - return 0 -} - -function cleanup() { - - chroot $tmpdir/union /usr/bin/unicode_stop - - umount $tmpdir/union > /dev/null 2>&1 - umount $tmpdir/user > /dev/null 2>&1 - umount $tmpdir/squash > /dev/null 2>&1 - umount $rootdir > /dev/null 2>&1 - - rmdir $tmpdir/union $tmpdir/user $tmpdir/squash 2> /dev/null - rmdir $rootdir $tmpdir 2> /dev/null -} - -clear -trap cleanup SIGINT - -version="" -if ! insert_pendrive; then - exit 1 -fi - -if [ x"$version" = x"1.0" ]; then - sys_loop="$rootdir/loopbacks/system.loop" - sfs_loop="$rootdir/loopbacks/distrib.sqfs" -else - sys_loop="$rootdir/.loopbacks/system.loop" - sfs_loop="$rootdir/.loopbacks/distrib.sqfs" -fi - -if ! prepare; then - cleanup - exit 1 -fi - -if ! doit; then - cleanup - exit 1 -fi - -cleanup -exit 0 |